Ticket #1099 (closed task: wontfix)

Opened 2 years ago

Last modified 2 years ago

Orange.network does not import core.Graph

Reported by: janez Owned by: miha
Milestone: 2.5 Component: library
Severity: minor Keywords:
Cc: Blocking:
Blocked By:

Description

This one is quick: is there a particular reason for importing only subclasses of Graph and not the base class?

Please add the import or close the ticket - I need to know this for fixing ticket #1086.

Change History

comment:1 Changed 2 years ago by miha

core.Graph and its subclasses are deprecated as I decided to switch to networkx graph exclusively. Last year I decided to import only what is necessary for widgets to work. Since none of the new graph widgets uses this classes anymore (since this summer), we could remove them all, in principle.

comment:2 Changed 2 years ago by janez

  • Status changed from new to closed
  • Resolution set to wontfix

OK, I'm leaving it as it is.

Note: See TracTickets for help on using tickets.